Bug 1259132 - Make the probes-based dynamic linker interface more robust to errors
Summary: Make the probes-based dynamic linker interface more robust to errors
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Durigan Junior
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-02 04:40 UTC by Sergio Durigan Junior
Modified: 2015-09-24 08:22 UTC (History)
6 users (show)

Fixed In Version: 7.9.1-19.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-24 08:22:09 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1196181 None NEW GDB fails with Cannot parse expression `.L1055 4@r4'. 2019-02-01 10:10:01 UTC

Internal Links: 1196181

Description Sergio Durigan Junior 2015-09-02 04:40:28 UTC
For a detailed description of the problem, see Bug 1196181.

GDB can do better in those situations (i.e., when the probes-based dynamic linker interface fails to parse the arguments for the probes it needs), and I have just pushed two patches upstream that will help accomplish this:

<https://sourceware.org/ml/gdb-cvs/2015-09/msg00001.html>

<https://sourceware.org/ml/gdb-cvs/2015-09/msg00002.html>

They need to be backported.

Comment 1 Sergio Durigan Junior 2015-09-02 04:40:59 UTC
I will work on this.

Comment 2 Fedora Update System 2015-09-03 09:52:16 UTC
gdb-7.10-17.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update gdb'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14906

Comment 3 Fedora Update System 2015-09-03 19:20:27 UTC
gdb-7.9.1-18.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update gdb'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14913

Comment 4 Fedora Update System 2015-09-04 19:45:30 UTC
gdb-7.10-17.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-09-18 19:35:19 UTC
gdb-7.9.1-19.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16181

Comment 6 Fedora Update System 2015-09-20 16:50:12 UTC
gdb-7.9.1-19.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gdb'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16181

Comment 7 Fedora Update System 2015-09-24 08:22:04 UTC
gdb-7.9.1-19.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.